
From: Bartlomiej Zolnierkiewicz <B.Zolnierkiewicz@elka.pw.edu.pl>

From: Rene Herman <rene.herman@keyaccess.nl>

Prevent the disks from spinning down across a reboot.


---

 25-akpm/drivers/ide/ide-disk.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN drivers/ide/ide-disk.c~idedisk_reboot drivers/ide/ide-disk.c
--- 25/drivers/ide/ide-disk.c~idedisk_reboot	2004-05-16 01:35:59.264262992 -0700
+++ 25-akpm/drivers/ide/ide-disk.c	2004-05-16 01:35:59.275261320 -0700
@@ -1723,6 +1723,9 @@ static void ide_device_shutdown(struct d
 {
 	ide_drive_t *drive = container_of(dev, ide_drive_t, gendev);
 
+	if (system_state == SYSTEM_RESTART)
+		return;
+
 	printk("Shutdown: %s\n", drive->name);
 	dev->bus->suspend(dev, PM_SUSPEND_STANDBY);
 }

_
